# spec file for package nodejs-nodejs-npm-package-arg

%global npm_name npm-package-arg
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-npm-package-arg
Version:        4.0.1
Release:        1%{?dist}
Summary:        Parse the things that can be arguments to `npm install`
Url:            https://github.com/npm/npm-package-arg
Source0:        http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
License:        ISC
BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:  nodejs-devel
BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires: npm(tap)
%endif

BuildRequires: npm(hosted-git-info)
BuildRequires: npm(semver)

Requires: npm(hosted-git-info)
Requires: npm(semver)

%description
Parse the things that can be arguments to `npm install`

%prep
%setup -q -n package

%{nodejs_fixdep} tap
%{nodejs_fixdep} semver

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json npa.js \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/*.js
%endif

%files
%{nodejs_sitelib}/%{npm_name}

%doc README.md
%license LICENSE

%changelog
* Wed Jun 17 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 4.0.1-1
- New upstream version

* Thu May 14 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 4.0.0-1
- Initial build
